org.apache.hadoop.ha

## Class FailoverFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hadoop.ha.FailoverFailedException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class FailoverFailedException
      extends Exception

  Exception thrown to indicate service failover has failed.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FailoverFailedException(String message)`
    `FailoverFailedException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FailoverFailedException

          public FailoverFailedException(String message)

    - #### FailoverFailedException

          public FailoverFailedException(String message,
                                         Throwable cause)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.